Subject: Re: [PATCH] compiler.h: don't use temporary variable in __compiletime_assert()

From: Johannes Berg <[email-masked]>
Date: Tue, 13 May 2014 09:31:33 +0200

On Mon, 2014-05-12 at 14:16 -0700, Andrew Morton wrote:

> > I don't understand why your patch should break things, I suspect it's
> > related to the sparse behaviour you're trying to work around, but can we
> > please drop this patch until a more portable workaround can be found?
> 
> Older gcc's often have this problem.
> 
> I suppose that build bustage is more serious than sparse false
> positives so yes, let's please try to find an alternative.

Since most people probably don't use sparse without compiling (in fact
it's pretty difficult to do so) I'll just send a patch to disable
__compiletime_assert for sparse - any objections?

johannes